summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2016-02-08 13:15:25 +0000
committerJavier Jardón <jjardon@gnome.org>2016-02-08 13:15:25 +0000
commit6eabff9d11d9111a9565ae4cdeed841157308737 (patch)
treeabf15bbef2d4c8b80465df5670967a40a0f2c8b7
parent7948f3b862a8c43c68de0951927e3a3402a580f9 (diff)
downloadlibrsvg-6eabff9d11d9111a9565ae4cdeed841157308737.tar.gz
autogen.sh: Replace deprecated gnome-autogen.sh with standard autotools
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
-rwxr-xr-xautogen.sh61
1 files changed, 29 insertions, 32 deletions
diff --git a/autogen.sh b/autogen.sh
index 0bb25fbb..9a0985b2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,41 +1,38 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-#name of package
-PKG_NAME="librsvg"
+olddir=$(pwd)
-REQUIRED_AUTOMAKE_VERSION=1.7.1
-REQUIRED_AUTOCONF_VERSION=2.54
+cd $srcdir
-USE_GNOME2_MACROS=1
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-(test -f $srcdir/configure.ac \
- && test -d $srcdir/gdk-pixbuf-loader \
- && test -f $srcdir/gdk-pixbuf-loader/io-svg.c) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level librsvg directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
- IFS="$ifs_save"
- test -z "$dir" && dir=.
- if test -f $dir/gnome-autogen.sh ; then
- gnome_autogen="$dir/gnome-autogen.sh"
- gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
- break
- fi
-done
-
-if test -z "$gnome_autogen" ; then
- echo "You need to install the gnome-common module and make"
- echo "sure the gnome-autogen.sh script is in your \$PATH."
- exit 1
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
fi
-GNOME_DATADIR="$gnome_datadir"
-. $gnome_autogen
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi